security/ruby-rotp - The NetBSD Packages Collection

Library for generating and verifying one time passwords

The Ruby One Time Password Library

A ruby library for generating and validating one time passwords (HOTP &
TOTP) according to RFC 4226 and RFC 6238.

ROTP is compatible with Google Authenticator available for Android and
iPhone and any other TOTP based implementations.

Many websites use this for multi-factor authentication, such as GMail,
Facebook, Amazon EC2, WordPress, and Salesforce.  You can find a more
complete list here:
https://en.wikipedia.org/wiki/Google_Authenticator#Usage.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/ruby27-base

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfruby26-rotp-6.2.0.tgz
NetBSD 8.0earmv7hfruby27-rotp-6.2.0.tgz
NetBSD 8.0earmv7hfruby26-rotp-6.2.0.tgz
NetBSD 8.0earmv7hfruby27-rotp-6.2.0.tgz
NetBSD 8.0i386ruby26-rotp-6.2.0.tgz
NetBSD 8.0i386ruby27-rotp-6.2.0.tgz
NetBSD 8.0powerpcruby26-rotp-6.2.0.tgz
NetBSD 8.0powerpcruby27-rotp-6.2.0.tgz
NetBSD 8.0powerpcruby26-rotp-6.2.0.tgz
NetBSD 8.0powerpcruby27-rotp-6.2.0.tgz
NetBSD 8.0powerpcruby26-rotp-6.2.0.tgz
NetBSD 8.0powerpcruby27-rotp-6.2.0.tgz
NetBSD 8.0x86_64ruby26-rotp-6.2.0.tgz
NetBSD 8.0x86_64ruby27-rotp-6.2.0.tgz
NetBSD 9.0aarch64ruby26-rotp-6.2.0.tgz
NetBSD 9.0aarch64ruby27-rotp-6.2.0.tgz
NetBSD 9.0aarch64ruby30-rotp-6.2.0.tgz
NetBSD 9.0aarch64ruby26-rotp-6.2.0.tgz
NetBSD 9.0aarch64ruby27-rotp-6.2.0.tgz
NetBSD 9.0aarch64ruby30-rotp-6.2.0.tgz
NetBSD 9.0alpharuby26-rotp-6.2.0.tgz
NetBSD 9.0alpharuby27-rotp-6.2.0.tgz
NetBSD 9.0alpharuby26-rotp-6.2.0.tgz
NetBSD 9.0alpharuby27-rotp-6.2.0.tgz
NetBSD 9.0earmruby26-rotp-6.2.0.tgz
NetBSD 9.0earmruby27-rotp-6.2.0.tgz
NetBSD 9.0earmv6hfruby26-rotp-6.2.0.tgz
NetBSD 9.0earmv6hfruby27-rotp-6.2.0.tgz
NetBSD 9.0earmv6hfruby30-rotp-6.2.0.tgz
NetBSD 9.0earmv6hfruby26-rotp-6.2.0.tgz
NetBSD 9.0earmv6hfruby27-rotp-6.2.0.tgz
NetBSD 9.0earmv6hfruby30-rotp-6.2.0.tgz
NetBSD 9.0earmv7hfruby26-rotp-6.2.0.tgz
NetBSD 9.0earmv7hfruby27-rotp-6.2.0.tgz
NetBSD 9.0earmv7hfruby30-rotp-6.2.0.tgz
NetBSD 9.0earmv7hfruby26-rotp-6.2.0.tgz
NetBSD 9.0earmv7hfruby27-rotp-6.2.0.tgz
NetBSD 9.0earmv7hfruby30-rotp-6.2.0.tgz
NetBSD 9.0earmv7hfruby26-rotp-6.2.0.tgz
NetBSD 9.0earmv7hfruby27-rotp-6.2.0.tgz
NetBSD 9.0earmv7hfruby30-rotp-6.2.0.tgz
NetBSD 9.0i386ruby26-rotp-6.2.0.tgz
NetBSD 9.0i386ruby27-rotp-6.2.0.tgz
NetBSD 9.0i386ruby30-rotp-6.2.0.tgz
NetBSD 9.0i386ruby26-rotp-6.2.0.tgz
NetBSD 9.0i386ruby27-rotp-6.2.0.tgz
NetBSD 9.0i386ruby30-rotp-6.2.0.tgz
NetBSD 9.0mips64ebruby26-rotp-6.2.0.tgz
NetBSD 9.0mips64ebruby27-rotp-6.2.0.tgz
NetBSD 9.0mips64ebruby30-rotp-6.2.0.tgz
NetBSD 9.0mips64ebruby26-rotp-6.2.0.tgz
NetBSD 9.0mips64ebruby27-rotp-6.2.0.tgz
NetBSD 9.0mips64ebruby30-rotp-6.2.0.tgz
NetBSD 9.0mipselruby27-rotp-6.2.0.tgz
NetBSD 9.0mipselruby27-rotp-6.2.0.tgz
NetBSD 9.0powerpcruby26-rotp-6.2.0.tgz
NetBSD 9.0powerpcruby27-rotp-6.2.0.tgz
NetBSD 9.0powerpcruby30-rotp-6.2.0.tgz
NetBSD 9.0powerpcruby26-rotp-6.2.0.tgz
NetBSD 9.0powerpcruby27-rotp-6.2.0.tgz
NetBSD 9.0powerpcruby30-rotp-6.2.0.tgz
NetBSD 9.0powerpcruby26-rotp-6.2.0.tgz
NetBSD 9.0powerpcruby27-rotp-6.2.0.tgz
NetBSD 9.0powerpcruby30-rotp-6.2.0.tgz
NetBSD 9.0sparc64ruby26-rotp-6.2.0.tgz
NetBSD 9.0sparc64ruby27-rotp-6.2.0.tgz
NetBSD 9.0sparc64ruby30-rotp-6.2.0.tgz
NetBSD 9.0sparc64ruby26-rotp-6.2.0.tgz
NetBSD 9.0sparc64ruby27-rotp-6.2.0.tgz
NetBSD 9.0sparc64ruby30-rotp-6.2.0.tgz
NetBSD 9.0sparcruby27-rotp-6.2.0.tgz
NetBSD 9.0sparcruby30-rotp-6.2.0.tgz
NetBSD 9.0x86_64ruby26-rotp-6.2.0.tgz
NetBSD 9.0x86_64ruby27-rotp-6.2.0.tgz
NetBSD 9.0x86_64ruby30-rotp-6.2.0.tgz
NetBSD 9.0x86_64ruby26-rotp-6.2.0.tgz
NetBSD 9.0x86_64ruby27-rotp-6.2.0.tgz
NetBSD 9.0x86_64ruby30-rotp-6.2.0.tgz
NetBSD 9.0x86_64ruby26-rotp-6.2.0.tgz
NetBSD 9.0x86_64ruby27-rotp-6.2.0.tgz
NetBSD 9.0x86_64ruby30-rotp-6.2.0.tgz
NetBSD 9.0x86_64ruby26-rotp-6.2.0.tgz
NetBSD 9.0x86_64ruby27-rotp-6.2.0.tgz
NetBSD 9.0x86_64ruby30-rotp-6.2.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.